Subject: Re: bug#29072: guix system: error: qemu-CVE-2017-7493.patch: patch not found

From: myglc2 <[email-masked]>
Date: Sat, 04 Nov 2017 19:50:10 -0400

On 11/01/2017 at 22:44 Leo Famulari writes:

> On Wed, Nov 01, 2017 at 10:40:47PM -0400, myglc2 wrote:
>> On 11/01/2017 at 11:27 Leo Famulari writes:
>> 
>> > On Wed, Nov 01, 2017 at 10:40:28AM -0400, myglc2 wrote:
>> >> Binary file ./gnu/packages/qemu.go matches		 
>> >
>> > Try deleting this compiled qemu.go and then try again.
>> 
>> Thank you Leo.
>> 
>> I deleted ./gnu/packages/qemu.go and re-ran make.
>> 
>> Make failed to regenerate ./gnu/packages/qemu.go
>> 
>> So now I am really confused.
>
> The 'gnu/packages/qemu.scm' file was removed from Guix in July 2017,
> with commit 59132b800093e486e4d81aed6b837e9ac76aa86c. The QEMU packages
> were moved into 'gnu/packages/virtualization.scm'.
>
> I'm not an Autotools expert, but in cases like this I usually try `make
> clean && ./configure --localstatedir=/var && make`. Did you try
> something like that yet?

Thanks Leo.

I did a new git pull and a clean build as you suggested (please see the
grep of the make.log below for details)

Now when I try 'guix system build sys.scm I get ...

guix system: error: failed to load 'sys.scm':
ice-9/boot-9.scm:2795:6: In procedure resolve-interface:
ice-9/boot-9.scm:2795:6: no code for module (gnu packages qemu)

... please see details further below. Obviously something is calling
'gnu/packages/qemu.scm' but I don't understand what.

TIA - George

make.log
--------
g1@g1 ~/src/guix$ grep g1@g1 make.log 
g1@g1 ~/src/guix$ guix environment -e "(@ (gnu packages package-management) guix)" -M 4 -c 4
g1@g1 ~/src/guix [env]$ git fetch
g1@g1 ~/src/guix [env]$ git pull
g1@g1 ~/src/guix [env]$ git status
g1@g1 ~/src/guix [env]$ rm -fr /home/g1/.cache/guile/ccache/*
g1@g1 ~/src/guix [env]$ make clean-go
g1@g1 ~/src/guix [env]$ ./bootstrap
g1@g1 ~/src/guix [env]$ ./configure --localstatedir=/var
g1@g1 ~/src/guix [env]$ make -j 10 check
g1@g1 ~/src/guix [env]$ ln -f -s -T ~/src/guix/ ~/.config/guix/latest
g1@g1 ~/src/guix [env]$ sudo ln -f -s -T ~/src/guix/ /root/.config/guix/latest
g1@g1 ~/src/guix [env]$ git status
g1@g1 ~/src/guix [env]$ git remote -vv
g1@g1 ~/src/guix [env]$ git branch -av | grep \*
g1@g1 ~/src/guix [env]$ exit
g1@g1 ~/src/guix$ exit
g1@g1 ~/src/guix$

root@g1 ~/con/15# guix system --cores=4 --max-jobs=4 -K --on-error=debug build sys.scm
guix system: error: failed to load 'sys.scm':
ice-9/boot-9.scm:2795:6: In procedure resolve-interface:
ice-9/boot-9.scm:2795:6: no code for module (gnu packages qemu)

entering debugger; type ',bt' for a backtrace
GNU Guile 2.2.2
Copyright (C) 1995-2017 Free Software Foundation, Inc.

Guile comes with ABSOLUTELY NO WARRANTY; for details type `,show w'.
This program is free software, and you are welcome to redistribute it
under certain conditions; type `,show c' for details.

Enter `,help' for help.
scheme@(#{ g440}#)> ,q
root@g1 ~/con/15# which guix
/run/current-system/profile/bin/guix
root@g1 ~/con/15# stat ~/.config/guix/latest | grep File:
  File: /root/.config/guix/latest -> /home/g1/src/guix/
root@g1 ~/con/15# 
root@g1 ~/con/15# git -C ~/.config/guix/latest status
On branch o-master
Your branch is up-to-date with 'origin/master'.

nothing to commit, working tree clean
root@g1 ~/con/15# git -C ~/.config/guix/latest remote -vv
origin	git://git.savannah.gnu.org/guix.git (fetch)
origin	git://git.savannah.gnu.org/guix.git (push)
root@g1 ~/con/15# git -C ~/.config/guix/latest log -n 1 --oneline
46dea1241 (HEAD -> o-master, origin/master, origin/HEAD) gnu: icedtea: Update to 3.6.0 [security fixes].
root@g1 ~/con/15# exit
exit

Process shell finished